/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.liferay.portal.kernel.util;

/**
 * <a href="ContentTypes.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 *
 */
public interface ContentTypes {

	public static final String APPLICATION_TEXT = "application/text";

	public static final String HTTPD_UNIX_DIRECTORY = "httpd/unix-directory";

	public static final String IMAGE_JPEG = "image/jpeg";

	public static final String MESSAGE_RFC822 = "message/rfc822";

	public static final String MULTIPART_ALTERNATIVE = "multipart/alternative";

	public static final String MULTIPART_FORM_DATA = "multipart/form-data";

	public static final String MULTIPART_MIXED = "multipart/mixed";

	public static final String TEXT_CALENDAR = "text/calendar";

	public static final String TEXT_CSS = "text/css";

	public static final String TEXT_CSS_UTF8 = "text/css; charset=UTF-8";

	public static final String TEXT_CSV = "text/csv";

	public static final String TEXT_CSV_UTF8 = "text/csv; charset=UTF-8";

	public static final String TEXT_HTML = "text/html";

	public static final String TEXT_HTML_UTF8 = "text/html; charset=UTF-8";

	public static final String TEXT_JAVASCRIPT = "text/javascript";

	public static final String TEXT_PLAIN = "text/plain";

	public static final String TEXT_PLAIN_UTF8 = "text/plain; charset=UTF-8";

	public static final String TEXT_WML = "text/wml";

	public static final String TEXT_XML = "text/xml";

	public static final String TEXT_XML_UTF8 = "text/xml; charset=UTF-8";

	public static final String XHTML_MP = "application/vnd.wap.xhtml+xml";

}